PDA

Afficher la version complète : Problème installation XGL



dav79
29/03/2008, 18h58
Bonjour à tous,

Je suis niveau débutant sur Linux, j'ai installé une OpenSuse 10.2
version 2.6.18.2-34-defaut, j'ai compilé les sources en installant le kermel.

Je souhaite installé xgl, car ça me rendrant bien service en tout que déficient visuel,
Je n'est pas eu encore l'occasion de testé cette inovation technologique.

Ma machine à les caractéristiques :
Packard bell EsyNote SB85-P038W
Processeur Intel Cor Duo 2Ghz
Disque dure SATA 160 Go
Carte Graphique : Nvidia GeForce 6800 m GS
Mémoire vive : 2 GO

Le problème qui se pose, c'est quand je veux installer le pilote de la nvidia.

Déjà ce que je ne comprend pas, c'est que je trouve la référence de ma carte graphique, dans la version OpenSuse 10.1,
alors que moi, j'ai une Suse 10.2. Quel procédrue je dois suivre l'install Opensuse 10.1 ou 10.2?

Je me base sur les recommandations du site Nvidia
http://www.nvidia.fr/object/linux_display_..._169.12_fr.html (http://www.nvidia.fr/object/linux_display_ia32_169.12_fr.html)

Et les instructions particulières pour Nvidia Suse
http://www.suse.de/~sndirsch/nvidia-installer-HOWTO.html

Donc je suis la procédure j'ajoute le nouveau dépôt avec Yast, en cliquant sur changer le support de l'installation,
ça télécharge bien le pilote, mais quand je veux l'installer.

Je fait rechercher x11-video-nvidiaG01, Yast le trouve bien je coche la case pour l'installer,
ensuite la licence de Nvidia qui s'affiche,
et quand je fait accepter pour installer, j'ai ce message d'erreur qui s'affiche :

************************************************** ******************
Impossible d'installer x11-video-nvidiaG01-1-0-9755-1.i586[20080302060304]
Aucun fournisseur de nvidia-gfxG01-kmp définissable pour x11-video-nvidiaG01-1-0-9755-1.i586[20080302060304]

Résolution du conflit :
- Ne pas installer x11-video-nvidiaG01
- Ignorer cette exigence cette fois uniquement
************************************************** ******************************
**

Donc voilà je suis bloquer à cette étape qu'est le problème ? Faudrait-il que je l'install manuellement, ce pilote?
Quelle est la solution adaptée?

Est ce que vous pouvez m'aider ça serai vraiment sympa, je bloc depuis quelque temps dessus.

Je vous remercie pour l'aide que vous aller m'apporter

dav79

xiloa
29/03/2008, 19h56
bonjour et bienvenue.

Pour l'installation du pilote nvidia, je n'ai jamais réussi l'installation par yast. Certain peut être, sans doute, moi JA-MAIS.

ceci dit, une autre solution existe.
elle est dans le wiki à cet endroit http://wiki.alionet.org/doku.php?id=howto:...ia&s=nvidia (http://wiki.alionet.org/doku.php?id=howto:nvidia&s=nvidia).

En bref, avec yast, tu installes 3 paquets gcc, make et kernel-source
tu télécharges le pilote nvidia sur leur site, c'est un fichier de type nvidia.xxxxxxx.run
tu te logues en root dans un terminal avec su
tu fais init 3, te logues à nouveau
tu fais sh nvidiaxxxxxxxx.run
tu suis les instruction , le pilote se compile.
init 5
c'est fini

dav79
29/03/2008, 21h53
Je te remercie Xloa, pour ta réponse rapide, je vais essayé cette procédure et je te tiens au courant, de la suite de mon problème

dav79

thveillon
30/03/2008, 02h46
Je ne sais pas pourquoi exactement tu utilises xgl mais si le but est de faire tourner compiz-fusion tu n'en as théoriquement pas besoin avec un pilote nvidia.

Pumpkin
30/03/2008, 10h56
Voir ici :
http://en.opensuse.org/Compiz_fusion
C'est à dire là : http://en.opensuse.org/AIGLX